extends layout

block content
	h3 生成订阅链接

	<br/>

	<input type="text" class="form-control" id="key" placeholder="请输入key" value="https://kuaida.app/api/user/account/subscribe/096ce90b868c8fcb21f1253c3150fe47?type=shadowrocket&ip=0&flow=0">

	<br/>

	<button type="button" id="submit" class="btn btn-primary">提交</button>

	<br/>
	<br/>
	<br/>
	textarea#sUrl(style="overflow:hidden;height:0;opacity:0;")= subscribe
	pre#pre
		code#code= subscribe
		<button class="btn-clipboard"  data-clipboard-target="#sUrl">复制</button>

	<br/>
	<br/>	

	textarea#textarea(style="overflow:hidden;height:0;opacity:0;")= data
	pre#pre
		code#code= data
		<button class="btn-clipboard"  data-clipboard-target="#textarea">复制</button>

	<br/>
	<br/>
	
	p 复制全部ss://开头的链接，然后右击客户端 -> 服务器 -> 从剪切板导入URL...


	<script src="https://cdn.bootcss.com/clipboard.js/2.0.4/clipboard.min.js"></script>
	script(type='text/javascript').
		var submit = document.getElementById("submit");
		submit.onclick=(function(){
			var value = document.getElementById("key").value;
			console.log(value)
			if(!value) return alert('请输入订阅链接!');
			var url = encodeURIComponent(value);
			window.location.href = '/get?url='+url;

			//const arr = value.match(/(?<=subscribe\/).*?(?=\?type)/);
			//if(arr && arr.length){
			//	const key = arr[0];
			//	window.location.href = '/?key='+key;
			//}else{
			//	 alert('链接异常!');
			//}
		})

		new ClipboardJS('.btn-clipboard');
